Subject: Re: [PATCH 1/3] [powerpc32] Process dynamic relocations for kernel

From: Scott Wood <[email-masked]>
Date: Mon, 10 Oct 2011 10:15:06 -0500

On 10/10/2011 04:55 AM, Suzuki K. Poulose wrote:
> The following patch implements the dynamic relocation processing for
> PPC32 kernel. relocate() accepts the target virtual address and relocates
>  the kernel image to the same.

How much overhead is involved in a true relocatable kernel?  Is it worth
preserving the old "relocatable" booke behavior under a different name?

-Scott